Bug 586610 - Empathy only allows Jabber accounts on first launch
Empathy only allows Jabber accounts on first launch
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: empathy (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-27 20:23 EDT by Paul W. Frields
Modified: 2011-06-04 15:08 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.7.19-39.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-04 15:08:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul W. Frields 2010-04-27 20:23:56 EDT
Standard desktop Live image, using:
empathy-2.30.0.1-1.fc13.x86_64
telepathy-idle-0.1.6-1.fc13.x86_64

On first launch, the account add dialog only allows Jabber accounts.  If you only open up a salut account, when you use F4 to return to the accounts screen, now all the choices including IRC (idle) are available.
Comment 1 Brian Pepple 2010-04-27 21:18:25 EDT
I just tested the version(1) in testing (for every account but IRC which is by design), and it worked fine. Could you give it test to make sure I'm understanding the bug correctly.

(1) empathy-2.30.1-2.fc13
Comment 2 yunus 2010-07-18 02:29:03 EDT
empathy-2.30.2-3.fc13.x86_64
telepathy-salut-0.3.10-2.fc13.x86_64
gnome-phone-manager-telepathy-0.65-7.fc13.x86_64
telepathy-sofiasip-0.6.3-1.fc13.x86_64
telepathy-farsight-0.0.13-1.fc13.x86_64
telepathy-idle-0.1.6-1.fc13.x86_64
telepathy-haze-0.3.3-2.fc13.x86_64
telepathy-gabble-0.9.11-2.fc13.x86_64
telepathy-butterfly-0.5.12-1.fc13.noarch
telepathy-mission-control-5.4.3-1.fc13.x86_64
python-telepathy-0.15.17-1.fc13.noarch
telepathy-filesystem-0.0.2-1.fc12.noarch
telepathy-glib-0.10.7-1.fc13.x86_64


I also have the same problem. 
[1]. All previous accounts setup (YM, FB, IRC, Jabber) were gone.

[2]. There was only Jabber chat accout that I could select. If found no other type of chat account in the list box on "Enter the details of the new account" window.

[3]. To launch Empathy. It takes 2 clicks on 
      Applications > Internet > Empathy 
     To open "Welcome to Empathy" window, It also takes 2 clicks on 
      Empathy > Edit > Accounts
     To open "Welcome to Empaty" window, it also takes 2 stroke on F4 key.
     It's quite weird.
     

Everthing was fine on 2010-07-16. I could use YM,FB,IRC and Jabber with empathy.
Here are my /var/log/yum.log
Jul 16 21:52:06 Updated: cairomm-1.8.4-2.fc13.x86_64
Jul 16 21:52:07 Updated: openldap-2.4.21-9.fc13.x86_64
Jul 16 21:52:10 Updated: libgnomekbd-2.30.2-1.fc13.x86_64
Jul 16 21:52:11 Updated: 3:traceroute-2.0.15-1.fc13.x86_64
Jul 16 21:57:46 Updated: selinux-policy-3.7.19-37.fc13.noarch
Jul 16 21:57:47 Updated: compat-db-headers-4.7.25-15.fc13.noarch
Jul 16 21:57:49 Updated: compat-db47-4.7.25-15.fc13.x86_64
Jul 16 21:57:50 Updated: xorg-x11-xinit-1.0.9-17.fc13.x86_64
Jul 16 21:57:52 Updated: mysql-libs-5.1.48-2.fc13.x86_64
Jul 16 21:59:10 Updated: selinux-policy-targeted-3.7.19-37.fc13.noarch
Jul 17 16:30:06 Updated: smc-fonts-common-4.4-1.fc13.noarch
Jul 17 16:30:14 Updated: gnome-applet-netspeed-0.16-3.fc13.x86_64
Jul 17 16:30:15 Updated: ibus-m17n-1.3.0-2.fc13.x86_64
Jul 17 16:30:18 Updated: smc-meera-fonts-4.4-1.fc13.noarch
Jul 17 19:35:01 Installed: gnokii-0.6.28-1.fc12.x86_64
Jul 17 19:35:02 Installed: gnome-phone-manager-telepathy-0.65-7.fc13.x86_64
Jul 17 19:39:46 Installed: sofia-sip-1.12.10-5.fc12.x86_64
Jul 17 19:39:47 Installed: sofia-sip-glib-1.12.10-5.fc12.x86_64
Jul 17 19:39:48 Installed: telepathy-sofiasip-0.6.2-1.fc13.x86_64
Jul 17 19:40:22 Updated: telepathy-sofiasip-0.6.3-1.fc13.x86_64
Jul 17 19:58:10 Erased: empathy
Jul 17 19:59:50 Installed: empathy-2.30.2-3.fc13.x86_64
Jul 17 20:04:00 Erased: telepathy-sofiasip
Jul 17 20:04:01 Erased: sofia-sip-glib
Jul 17 20:04:02 Erased: sofia-sip
Jul 17 20:04:42 Erased: gnome-phone-manager-telepathy
Jul 17 20:04:43 Erased: gnokii
Jul 17 20:06:31 Installed: ibus-m17n-1.3.0-1.fc13.x86_64
Jul 17 20:10:28 Updated: ibus-m17n-1.3.0-2.fc13.x86_64
Jul 17 20:11:13 Installed: gnokii-0.6.28-1.fc12.x86_64
Jul 17 20:11:13 Installed: gnome-phone-manager-telepathy-0.65-7.fc13.x86_64
Jul 17 20:11:55 Installed: sofia-sip-1.12.10-5.fc12.x86_64
Jul 17 20:11:56 Installed: sofia-sip-glib-1.12.10-5.fc12.x86_64
Jul 17 20:11:57 Installed: telepathy-sofiasip-0.6.2-1.fc13.x86_64
Jul 18 11:14:18 Updated: telepathy-sofiasip-0.6.3-1.fc13.x86_64
Jul 18 11:49:50 Installed: libsexy-0.1.11-15.fc13.x86_64
Jul 18 11:49:51 Installed: libntlm-1.2-1.fc13.x86_64
Jul 18 11:49:54 Installed: 1:xchat-2.8.8-2.fc13.x86_64
Jul 18 12:32:31 Erased: empathy
Jul 18 12:50:14 Installed: empathy-2.30.2-3.fc13.x86_64
(END)
Comment 3 yunus 2010-07-20 12:55:13 EDT
I got below messages 
-------------------------
[root@localhost tj]# /usr/bin/empathy

(empathy:12974): Unique-DBus-WARNING **: Unable to open a connection to the session bus: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

(empathy:12974): Unique-DBus-WARNING **: Unable to connect to the running instance, aborting.
[root@localhost tj]#
Comment 4 yunus 2010-07-21 14:04:25 EDT
it seems that this bug related to this 
   https://bugzilla.redhat.com/show_bug.cgi?id=616506

and updated to 
   selinux-policy-3.7.19-39.fc13.noarch
   selinux-policy-targeted-3.7.19-39.fc13.noarch
fix this issue.
Comment 5 Christopher Beland 2011-02-14 11:33:25 EST
Should this bug be closed, then?
Comment 6 Bug Zapper 2011-06-02 10:47:37 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.